Publish nsh_sfc jar files to mvn. 19/2719/2
authorEd Warnicke <eaw@cisco.com>
Thu, 8 Sep 2016 04:22:09 +0000 (21:22 -0700)
committerEd Warnicke <eaw@cisco.com>
Thu, 8 Sep 2016 04:31:52 +0000 (21:31 -0700)
Change-Id: I84ee1db07633b45687ffe280e649b6ff407cfe31
Signed-off-by: Ed Warnicke <eaw@cisco.com>
jjb/nsh_sfc/include-raw-nsh_sfc-pkg-push.sh [new file with mode: 0644]
jjb/nsh_sfc/nsh_sfc.yaml

diff --git a/jjb/nsh_sfc/include-raw-nsh_sfc-pkg-push.sh b/jjb/nsh_sfc/include-raw-nsh_sfc-pkg-push.sh
new file mode 100644 (file)
index 0000000..d456c23
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/bash
+# basic build script example
+set -e -o pipefail
+
+cd nsh-plugin/build/java/jvpp
+$MVN org.apache.maven.plugins:maven-deploy-plugin:deploy \
+    -gs $GLOBAL_SETTINGS_FILE -s $SETTINGS_FILE
+cd -
index ee11c12..67c03aa 100644 (file)
                 - ../scripts/setup_vpp_plugin_dev_env.sh
                 - include-raw-nsh_sfc-build.sh
                 - ../scripts/cleanup_vpp_plugin_dev_env.sh
+                - ../scripts/maven_push_functions.sh
+                - include-raw-nsh_sfc-pkg-push.sh